%global dlrn_nvr ansible-role-redhat-subscription-1.1.5-2.20210527214016.17a8bd5
%global dlrn 1
%define upstream_version 1.1.5
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global srcname ansible_role_redhat_subscription
%global rolename ansible-role-redhat-subscription

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.1.5
Release: 3.20210527214016.17a8bd5%{?dist}.1
Summary:        Ansible role for setting up Red Hat Subscription Management.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-redhat-subscription
Source0: ansible-role-redhat-subscription-1.1.5-2.20210527214016.17a8bd5.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=17a8bd5a8d61c50ac3ba1179d433cad2d2922b8f

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2 || 0%{?rhel} > 7
Requires:       ansible
%else
Requires:       ansible-python3
%endif


%description

Ansible role to configure Red Hat Subscription Management

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Wed Jun 16 2021 CPaaS User <cpaas-ops@redhat.com> - 1.1.5-3.20210527214016.17a8bd5.1
- Bump release

* Wed Jun 16 2021 Shreshtha Joshi <shrjoshi@redhat.com> - 1.1.5-3.20210527214016.17a8bd5.0
- Manual bump for cpaas to detect change and trigger build

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.5-2.20210527214016.17a8bd5
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.5-2.20210513022001.17a8bd5
- Update patches
- Fix packages fact
- setup.cfg: Replace dashes with underscores

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.3-2.20210426234734.4178cf5
- Update patches
- Fix service fact reference

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-1
- Update patches

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Use ansible_facts
- Fix CI

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Bump pyflakes, exclude ansible-lint 106

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Add support for "Simplified Content Access"

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Adjustments to detect Satellite version/mode

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Introduce rhsm_release parameter

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Skip proxy tasks when not needed

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches
- Fix ansible_pkg_mgr
- Improve support for HTTP proxy

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url



